Bug 501599 - changing output device while device is in use causes volume to jump to 100% = nasty
changing output device while device is in use causes volume to jump to 100% =...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On: 489049
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 18:23 EDT by David Timms
Modified: 2009-08-19 14:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 489049
Environment:
Last Closed: 2009-08-19 11:36:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Timms 2009-05-19 18:23:08 EDT
+++ This bug was initially created as a clone of Bug #489049 +++

> 3.) switching sound does reset the sound volume to 100% which is 
> probably not what should happen... either keep the volume of the
> old device or keep track of saved volumes for every device?

That's not normal, and I haven't seen that problem. Is it the app volume, or the hardware volume changing?

> Any of those worth filing new bugs for?
Yes.
--- Additional comment from michael.monreal@gmail.com on 2009-05-02 11:38:52 EDT ---

(In reply to comment #10)
> That's not normal, and I haven't seen that problem. Is it the app volume, or
> the hardware volume changing?

Here's what I did:

- started totem, set app volume to 100% and started a song
- set the global output volume to 75% using the tray icon. Totem now reports a volume level of just 8% (why that? totem bug?)
- inserted headset, opened sound preferences, switched output

=> totem, tray icon, "output volume" in sound preferences *all* show 100% volumes now

Switching output device back I can reproduce the same thing every time.
Comment 1 David Timms 2009-05-19 18:35:46 EDT
This is reproducible on my hardware.

audio1: nvidia on board sound -> 5.1 surround amp. Amp turned up full. (this gives the computer the full range of the amp volume).
audio2: pci soundblaster live -> headphones

Play some audio. defaults to output via audio1, adjust volume sensibly to 30%.
gnome-volume-control-applet: in output tab choose audio2.

Ears begin bleeding.
Reason, main and app volume jumped to 100%.
Turn that back down to 50%.

Quickly select the audio1 device.
Now I've got music at 100dB SPL in the room.

alsa-info report at:
http://www.alsa-project.org/db/?f=23db04e4a7aeaa23357d00481f38b86638e90b21
Comment 2 Bastien Nocera 2009-05-19 18:55:16 EDT
This is some interaction between app volume(s) and the sink volume. Disabling the flat volumes probably works around the problem.
Comment 3 Lennart Poettering 2009-05-20 10:30:40 EDT
Hmm, I think I noticed that g-v-c resets all volumes to 100% each time you change the default device. I am tempted to say that this is a g-v-c bug, not a PA bug.
Comment 4 Bastien Nocera 2009-05-20 11:23:30 EDT
Does it? Is there any other pieces of code that can do what gvc does to move the stream instantaneously so we can verify this?
Comment 5 Lennart Poettering 2009-05-20 13:54:25 EDT
(In reply to comment #4)
> Does it? Is there any other pieces of code that can do what gvc does to move
> the stream instantaneously so we can verify this?  

pavucontrol does it.

Hmm, actually you might be right and this is not a gvc bug. I need to investigate this further I guess.
Comment 6 Matthias Clasen 2009-05-26 18:29:15 EDT
Any findings, Lennart ?
Comment 7 Bug Zapper 2009-06-09 12:08:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Lennart Poettering 2009-08-19 11:36:14 EDT
In F12 when moving streams we convert from absolute to relative volumes before moving and then back after. That should make sure that the stream volume is not surprisingly high on the destination device.
Comment 9 Matthias Clasen 2009-08-19 14:45:26 EDT
Yes, when I tried this the other day, it worked nicely.

Note You need to log in before you can comment on or make changes to this bug.